# Interface methods for submodule: vnl_lbfgsb
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import vnl_nonlinear_minimizerProxy as _vnl_nonlinear_minimizerProxy


# Interface methods for class: vnl_lbfgsb
class vnl_lbfgsbProxy(_vnl_nonlinear_minimizerProxy):
	def minimize(self, x: vnl_vector) -> bool:
		""""""
		...

	def set_bound_selection(self, nbd: vnl_vector) -> None:
		""""""
		...

	def get_bound_selection(self, nbd: vnl_vector) -> None:
		""""""
		...

	def set_lower_bound(self, l: vnl_vector) -> None:
		""""""
		...

	def get_lower_bound(self, l: vnl_vector) -> None:
		""""""
		...

	def set_upper_bound(self, u: vnl_vector) -> None:
		""""""
		...

	def get_upper_bound(self, u: vnl_vector) -> None:
		""""""
		...

	def set_max_variable_metric_corrections(self, m: int) -> None:
		""""""
		...

	def get_max_variable_metric_corrections(self) -> int:
		""""""
		...

	def set_cost_function_convergence_factor(self, factor: float) -> None:
		""""""
		...

	def get_cost_function_convergence_factor(self) -> float:
		""""""
		...

	def set_projected_gradient_tolerance(self, tol: float) -> None:
		""""""
		...

	def get_projected_gradient_tolerance(self) -> float:
		""""""
		...

	def get_inf_norm_projected_gradient(self) -> float:
		""""""
		...

